Set or clear the caller own email signature for this agent
curl --request PUT \
--url https://app.communicate.so/api/v1/workspaces/{workspaceId}/agents/{agentId}/support/signature \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signature: '<string>'})
};
fetch('https://app.communicate.so/api/v1/workspaces/{workspaceId}/agents/{agentId}/support/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.communicate.so/api/v1/workspaces/{workspaceId}/agents/{agentId}/support/signature"
payload = { "signature": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"signature": "<string>"
}Agents
Set or clear the caller own email signature for this agent
Use an explicitly scoped user-bound account bearer credential or an application session. Scope grants are intersected with live membership, role, tenant isolation, agent access and plan limits; a credential does not grant an owner role. Invitation acceptance requires the verified recipient email.
PUT
/
workspaces
/
{workspaceId}
/
agents
/
{agentId}
/
support
/
signature
Set or clear the caller own email signature for this agent
curl --request PUT \
--url https://app.communicate.so/api/v1/workspaces/{workspaceId}/agents/{agentId}/support/signature \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signature: '<string>'})
};
fetch('https://app.communicate.so/api/v1/workspaces/{workspaceId}/agents/{agentId}/support/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.communicate.so/api/v1/workspaces/{workspaceId}/agents/{agentId}/support/signature"
payload = { "signature": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"signature": "<string>"
}Authorizations
accountBeareraccountSessionlocalAccountSession